<?php
/**
 * PropertyTypeEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi PIM.
 *
 * PIM
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\PimClient\Dto;
use \Ensi\PimClient\ObjectSerializer;

/**
 * PropertyTypeEnum Class Doc Comment
 *
 * @category Class
 * @description Тип данных:  * &#x60;string&#x60; - Строка  * &#x60;text&#x60; - Текст  * &#x60;integer&#x60; - Целое число  * &#x60;double&#x60; - Вещественное число  * &#x60;boolean&#x60; - Логическое значение  * &#x60;datetime&#x60; - Дата и время  * &#x60;image&#x60; - Файл картинки  * &#x60;file&#x60; - Файл  * &#x60;color&#x60; - Цвет
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class PropertyTypeEnum
{
    
    /** Строка */
    public const STRING = 'string';
    
    /** Текст */
    public const TEXT = 'text';
    
    /** Целое число */
    public const INTEGER = 'integer';
    
    /** Вещественное число */
    public const DOUBLE = 'double';
    
    /** Логическое значение */
    public const BOOLEAN = 'boolean';
    
    /** Дата и время */
    public const DATETIME = 'datetime';
    
    /** Файл картинки */
    public const IMAGE = 'image';
    
    /** Файл */
    public const FILE = 'file';
    
    /** Цвет */
    public const COLOR = 'color';
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::STRING,
            self::TEXT,
            self::INTEGER,
            self::DOUBLE,
            self::BOOLEAN,
            self::DATETIME,
            self::IMAGE,
            self::FILE,
            self::COLOR,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::STRING => 'Строка',
            self::TEXT => 'Текст',
            self::INTEGER => 'Целое число',
            self::DOUBLE => 'Вещественное число',
            self::BOOLEAN => 'Логическое значение',
            self::DATETIME => 'Дата и время',
            self::IMAGE => 'Файл картинки',
            self::FILE => 'Файл',
            self::COLOR => 'Цвет',
        ];
    }
}


